#! /bin/sh
-current="`git config --get --path remote.current.url`"
-origin="`git config --get --path remote.origin.url`"
-
-if [ -n "$origin" ]; then
- if [ -n "$current" ]; then
- echo "UNKNOWN ERROR"
- else
- echo "This script must be run in the origin directory: $origin"
- fi >&2
- exit 1
-elif [ -z "$current" ]; then
- echo "UNKNOWN ERROR" >&2
- exit 1
-fi
-
-git pull --ff-only current master &&
+"$HOME"/admin/prog/git-scripts/update || exit 1
-web="`git config --get --path remote.web.url`" &&
-[ -n "$web" ] && git push web
+current="`git config --get --path remote.current.url`"
# Copy mimedecode.docbook with timestamp to avoid rebuilding
-rsync -ahP "$current"/mimedecode.docbook "$current"/mimedecode.man \
- "$current"/mimedecode.html "$current"/mimedecode.txt . &&
-
-cd "$current" && exec git pull origin
+exec rsync -ahP "$current"/mimedecode.docbook "$current"/mimedecode.man \
+ "$current"/mimedecode.html "$current"/mimedecode.txt .